import {
    Component,
    OnInit
} from '@angular/core';

@Component({
    selector: 'login',
    templateUrl: './login.component.html',
    styleUrls: ['./login.component.css']
})
export class LoginComponent implements OnInit {

    constructor() {}

    public isLoggedIn = false;
    public profileImage = "";

    ngOnInit() {
        if (localStorage.getItem('token')) {
            this.isLoggedIn = true;
        } else {
            this.isLoggedIn = false;
        }
    }

    submitLogin() {
        window.location.replace("https://" + "{$ client_id $}" + "/authorize?response_type=id_token&client_id=" + "{$ client_secret $}" + "&audience=https://*." + "{$ domain_name $}" + "&redirect_uri=" + "{$ url $}" + "/oauth-redirect&scope=openid%20email%20profile&nonce=nduqwihuc78rqwjnAhihniewhfnygr" + "&state=h");
    }

    public logout() {
        localStorage.removeItem('token');
        localStorage.removeItem('email');
        location.reload();
    }

}